POST /import/kitsu/schedule-items

Import Kitsu resources. Send a list of Kitsu entries in the JSON body. Returns created or updated resources.

application/json

Body Required

  • id string(uuid)
  • name string
  • project_id string(uuid)

Responses

  • 200 application/json

    Resources imported successfully

    Hide response attributes Show response attributes object
    • id string(uuid)
    • name string
    • created_at string(date-time)
    • updated_at string(date-time)
  • 400

    Invalid request body or missing required fields

POST /import/kitsu/schedule-items
curl \
 --request POST 'http://api.example.com/import/kitsu/schedule-items' \
 --header "Authorization: $API_KEY" \
 --header "Content-Type: application/json" \
 --data '[{"id":"a24a6ea4-ce75-4665-a070-57453082c25","name":"Example resource","project_id":"b24a6ea4-ce75-4665-a070-57453082c25"}]'
Request example
[
  {
    "id": "a24a6ea4-ce75-4665-a070-57453082c25",
    "name": "Example resource",
    "project_id": "b24a6ea4-ce75-4665-a070-57453082c25"
  }
]
Response examples (200)
[
  {
    "id": "a24a6ea4-ce75-4665-a070-57453082c25",
    "name": "Imported resource",
    "created_at": "2024-01-15T10:30:00Z",
    "updated_at": "2024-01-15T11:00:00Z"
  }
]